%define __libtoolize    /bin/true
%define name kvisualboyadvance
%define version 0.3.1
%define distsuffix plf
%define release %mkrel 3

Summary: Frontend for VBA
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: Emulators
Source: http://kvisualboyadvance.openlindows.com/downloads/%{name}-%{version}.tar.bz2
Source10: %{name}-16.png
Source11: %{name}-32.png
URL: http://kvisualboyadvance.openlindows.com/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: kdelibs-devel qt3-devel autoconf2.5
Requires: VisualBoyAdvance

%description

Graphical front end to VisualBoyAdvance command line emulator to play GameBoy
games/game ROMs under Linux

features:
- graphical interface for playing
- save configuration
- easy game start and finish
- change size of screen
- display frame rate
- select VisualBoyAdvance binary
- select directory for GBA ROMs

legal game ROMS can be downloaded from http://www.pdroms.de

This package is in PLF because it depends on VisualBoyAdvance.

%prep
%setup -q

%build
%configure2_5x  --disable-rpath
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

install -m 644 -D %{SOURCE10} $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m 644 -D %{SOURCE11} $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m 644 -D %{SOURCE11} $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat > $RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%name): needs="x11" \
%if %mdkversion < 1000 
section="Emulators" \
%else
section="More Applications/Emulators" \
%endif
 title="Kvisualboyadvance"\
 longtitle="Frontend for VBA"\
 command="kvisualboyadvance"\
 icon="%{name}.png"\
 xdg="true"
EOF

#xdg menu with unwanted comments removed.
install -d -m 755 %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Type=Application
Name=Kvisualboyadvance
Comment=A KDE front-end for VBA
Exec=kvisualboyadvance
Icon=kvisualboyadvance
Categories=X-MandrivaLinux-MoreApplications-Emulators;Emulator;KDE;Qt;
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files 
%defattr(-,root,root)
%{_datadir}/applications/mandriva-%{name}.desktop
%{_datadir}/apps/kvisualboyadvance/
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/%{name}.png
%{_iconsdir}/hicolor/16x16/apps/hi16/app-%{name}.png_
%{_iconsdir}/hicolor/32x32/apps/%{name}.png
%{_iconsdir}/hicolor/32x32/apps/hi32/app-%{name}.png_
%{_datadir}/doc/HTML/en/kvisualboyadvance/common
%{_datadir}/doc/HTML/en/kvisualboyadvance/index.cache.bz2
%{_datadir}/doc/HTML/en/kvisualboyadvance/index.docbook
%{_bindir}/%{name}
%{_menudir}/%{name}
%exclude %{_datadir}/applnk/Utilities/%{name}.desktop

%changelog
* Mon Jun 25 2007 Guillaume Bedot <littletux@zarb.org> 0.3.1-3plf2008.0
- xdg menu

* Sun Apr 23 2006 Michael Scherer <misc@zarb.org> 0.3.1-2plf
- Use mkrel
- Correct menu
- Correct BuildRequires

* Tue Jun 01 2004 Michael Scherer <misc@zarb.org> 0.3.1-1plf
- did some minor correction
- from neoclust <n1c0l4s.l3@wanadoo.fr> 
  - First release
